#include <font610.h>
#include <miac.h>

miac miac;

int value;
int key;

void setup() {
  miac.cursor(0,0);                 // Place the initial text on screen
  miac.print("MIAC Inputs Demo");
  miac.cursor(0,2);
  miac.print("I1  = ");
  miac.cursor(0,4);
  miac.print("Key = ");
}

void loop() {
  delay(100);                       // Wait 100mS
  value = miac.analogReadWord(1);   // Read the I1 analog inout
  miac.cursor(6,2);                 // Move the text cursor
  miac.print(value);                // Print the I1 value
  miac.print("   ");                // Remove any previous longer text
  key = miac.keypadRead();          // Read the Keypad status
  miac.cursor(6,4);                 // Move the text cursor
  if (key == 255)
    miac.print(" ");                // No key is pressed
  else
    miac.print(key);                // Print the key value
}

